import React, { Dispatch, SetStateAction } from "react";
declare type authTokenType = string | undefined | null;
interface TokenInterface {
    authToken: authTokenType;
    expireAt: Date | null;
}
interface ContextProps {
    authObject: TokenInterface;
    setAuthToken: Dispatch<SetStateAction<TokenInterface>>;
}
export declare const AuthContextProvider: React.Provider<ContextProps | null>;
export declare const AuthContext: React.Context<ContextProps | null>;
export {};
