import React from "react";
import { RouteComponentProps } from "react-router-dom";
declare type Component = React.ComponentClass<any, any> | React.FunctionComponent<any> | React.ComponentClass<RouteComponentProps<any, any, any>, any> | undefined;
interface PrivateRouteInterface {
    component: Component;
    loginPath: string;
    path: string;
}
/**
 *
 * @param component - Component to
 * @param loginPath
 * @param path
 * @param rest
 * @constructor
 */
declare const PrivateRoute: ({ component, loginPath, path }: PrivateRouteInterface) => React.FunctionComponentElement<any>;
export default PrivateRoute;
